package com.goomood.phm.domain;

import java.sql.Time;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goomood.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.goomood.common.annotation.Excel;

/**
 * 故障记录对象 fault_record
 * 
 * @author goomood
 * @date 2024-11-17
 */
public class FaultRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date incidentDate;

    /** 战区 */
    private String militaryRegion;

    /** 军 */
    private String army;

    /** 师 */
    private String division;

    /** 团 */
    private String regiment;

    /** 中队 */
    private String squadron;

    /** 飞机号 */
    private String aircraftNo;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 出厂号码 */
    private String factoryNo;

    /** 机件类型 */
    private String partCategory;

    /** 机件号 */
    private String partNo;

    /** 机件型别 */
    private String partModel;

    /** 机件名称 */
    private String partName;

    /** 起落 */
    private Long landingCount;

    /** 专业 */
    @Excel(name = "专业")
    private String specialty;

    /** 故障件名称 */
    @Excel(name = "故障件名称")
    private String faultyPartName;

    /** 故障件型别 */
    private String faultyPartModel;

    /** 故障件号码 */
    private String faultyPartNo;

    /** 故障件所属发动机型别 */
    private String engineType;

    /** 故障件所属发动机号码 */
    private String engineNo;

    /** 故障件所属发动机序号 */
    private String engineSerialNo;

    /** 故障件位置 */
    private String faultLocation;

    /** 故障现象 */
    @Excel(name = "故障现象")
    private String faultDescription;

    /** 故障发生地点 */
    private String faultLocationSite;

    /** 发现时机 */
    private String detectionTiming;

    /** 系统 */
    @Excel(name = "系统")
    private String useSystem;

    /** 计时类型 */
    private String timingType;

    /** 故障件制造厂 */
    private String manufacturer;

    /** 故障件翻修厂 */
    private String repairFacility;

    /** 故障件装本机工作时次 */
    private Time workHoursCurrent;

    /** 故障件总工作时次 */
    private Time workHoursTotal;

    /** 故障件修后时次 */
    private Time workHoursAfterRepair;

    /** 故换件型别 */
    private String replacementPartModel;

    /** 故换件号码 */
    private String replacementPartNo;

    /** 故换件制造厂 */
    private String replacementManufacturer;

    /** 故换件总工作时次 */
    private Time replacementWorkHoursTotal;

    /** 故换件翻修厂 */
    private String replacementRepairFacility;

    /** 故换件修后时次 */
    private Time replacementHoursAfterRepair;

    /** 故障失常码 */
    private String faultCode;

    /** 故障件装机日期 */
    private Date installationDate;

    /** 故障原因 */
    @Excel(name = "故障原因")
    private String faultCause;

    /** 故障性质 */
    private String faultNature;

    /** 故障责任 */
    private String faultResponsibility;

    /** 故障后果 */
    private String faultConsequence;

    /** 处理意见 */
    private String handlingSuggestion;

    /** 影响次数 */
    private Long impactCount;

    /** 误飞次数 */
    private Long missedFlightCount;

    /** 判明方法 */
    private String detectionMethod;

    /** 发现人 */
    private String discoverer;

    /** 排除方法 */
    private String resolutionMethod;

    /** 排故人 */
    private String maintainer;

    /** 审核人 */
    private String reviewer;

    /** 审核时间 */
    private Date reviewTime;

    /** 排除日期 */
    private Date resolutionDate;

    /** 排故工时 */
    private Time maintenanceHours;

    /** 排故人数 */
    private Long maintenanceStaffCount;

    /** 排故时间 */
    private Time maintenanceTime;

    /** 是否立功 */
    private String meritAwarded;

    /** 需要试飞 */
    private String testFlightRequired;

    /** 备注 */
    private String remarks;

    /** 文件路径 */
    private String filePath;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getIncidentDate() {
        return incidentDate;
    }

    public void setIncidentDate(Date incidentDate) {
        this.incidentDate = incidentDate;
    }

    public String getMilitaryRegion() {
        return militaryRegion;
    }

    public void setMilitaryRegion(String militaryRegion) {
        this.militaryRegion = militaryRegion;
    }

    public String getArmy() {
        return army;
    }

    public void setArmy(String army) {
        this.army = army;
    }

    public String getDivision() {
        return division;
    }

    public void setDivision(String division) {
        this.division = division;
    }

    public String getRegiment() {
        return regiment;
    }

    public void setRegiment(String regiment) {
        this.regiment = regiment;
    }

    public String getSquadron() {
        return squadron;
    }

    public void setSquadron(String squadron) {
        this.squadron = squadron;
    }

    public String getAircraftNo() {
        return aircraftNo;
    }

    public void setAircraftNo(String aircraftNo) {
        this.aircraftNo = aircraftNo;
    }

    public String getAircraftType() {
        return aircraftType;
    }

    public void setAircraftType(String aircraftType) {
        this.aircraftType = aircraftType;
    }

    public String getFactoryNo() {
        return factoryNo;
    }

    public void setFactoryNo(String factoryNo) {
        this.factoryNo = factoryNo;
    }

    public String getPartCategory() {
        return partCategory;
    }

    public void setPartCategory(String partCategory) {
        this.partCategory = partCategory;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getPartModel() {
        return partModel;
    }

    public void setPartModel(String partModel) {
        this.partModel = partModel;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public Long getLandingCount() {
        return landingCount;
    }

    public void setLandingCount(Long landingCount) {
        this.landingCount = landingCount;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getFaultyPartName() {
        return faultyPartName;
    }

    public void setFaultyPartName(String faultyPartName) {
        this.faultyPartName = faultyPartName;
    }

    public String getFaultyPartModel() {
        return faultyPartModel;
    }

    public void setFaultyPartModel(String faultyPartModel) {
        this.faultyPartModel = faultyPartModel;
    }

    public String getFaultyPartNo() {
        return faultyPartNo;
    }

    public void setFaultyPartNo(String faultyPartNo) {
        this.faultyPartNo = faultyPartNo;
    }

    public String getEngineType() {
        return engineType;
    }

    public void setEngineType(String engineType) {
        this.engineType = engineType;
    }

    public String getEngineNo() {
        return engineNo;
    }

    public void setEngineNo(String engineNo) {
        this.engineNo = engineNo;
    }

    public String getEngineSerialNo() {
        return engineSerialNo;
    }

    public void setEngineSerialNo(String engineSerialNo) {
        this.engineSerialNo = engineSerialNo;
    }

    public String getFaultLocation() {
        return faultLocation;
    }

    public void setFaultLocation(String faultLocation) {
        this.faultLocation = faultLocation;
    }

    public String getFaultDescription() {
        return faultDescription;
    }

    public void setFaultDescription(String faultDescription) {
        this.faultDescription = faultDescription;
    }

    public String getFaultLocationSite() {
        return faultLocationSite;
    }

    public void setFaultLocationSite(String faultLocationSite) {
        this.faultLocationSite = faultLocationSite;
    }

    public String getDetectionTiming() {
        return detectionTiming;
    }

    public void setDetectionTiming(String detectionTiming) {
        this.detectionTiming = detectionTiming;
    }

    public String getUseSystem() {
        return useSystem;
    }

    public void setUseSystem(String useSystem) {
        this.useSystem = useSystem;
    }

    public String getTimingType() {
        return timingType;
    }

    public void setTimingType(String timingType) {
        this.timingType = timingType;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getRepairFacility() {
        return repairFacility;
    }

    public void setRepairFacility(String repairFacility) {
        this.repairFacility = repairFacility;
    }

    public Time getWorkHoursCurrent() {
        return workHoursCurrent;
    }

    public void setWorkHoursCurrent(Time workHoursCurrent) {
        this.workHoursCurrent = workHoursCurrent;
    }

    public Time getWorkHoursTotal() {
        return workHoursTotal;
    }

    public void setWorkHoursTotal(Time workHoursTotal) {
        this.workHoursTotal = workHoursTotal;
    }

    public Time getWorkHoursAfterRepair() {
        return workHoursAfterRepair;
    }

    public void setWorkHoursAfterRepair(Time workHoursAfterRepair) {
        this.workHoursAfterRepair = workHoursAfterRepair;
    }

    public String getReplacementPartModel() {
        return replacementPartModel;
    }

    public void setReplacementPartModel(String replacementPartModel) {
        this.replacementPartModel = replacementPartModel;
    }

    public String getReplacementPartNo() {
        return replacementPartNo;
    }

    public void setReplacementPartNo(String replacementPartNo) {
        this.replacementPartNo = replacementPartNo;
    }

    public String getReplacementManufacturer() {
        return replacementManufacturer;
    }

    public void setReplacementManufacturer(String replacementManufacturer) {
        this.replacementManufacturer = replacementManufacturer;
    }

    public Time getReplacementWorkHoursTotal() {
        return replacementWorkHoursTotal;
    }

    public void setReplacementWorkHoursTotal(Time replacementWorkHoursTotal) {
        this.replacementWorkHoursTotal = replacementWorkHoursTotal;
    }

    public String getReplacementRepairFacility() {
        return replacementRepairFacility;
    }

    public void setReplacementRepairFacility(String replacementRepairFacility) {
        this.replacementRepairFacility = replacementRepairFacility;
    }

    public Time getReplacementHoursAfterRepair() {
        return replacementHoursAfterRepair;
    }

    public void setReplacementHoursAfterRepair(Time replacementHoursAfterRepair) {
        this.replacementHoursAfterRepair = replacementHoursAfterRepair;
    }

    public String getFaultCode() {
        return faultCode;
    }

    public void setFaultCode(String faultCode) {
        this.faultCode = faultCode;
    }

    public Date getInstallationDate() {
        return installationDate;
    }

    public void setInstallationDate(Date installationDate) {
        this.installationDate = installationDate;
    }

    public String getFaultCause() {
        return faultCause;
    }

    public void setFaultCause(String faultCause) {
        this.faultCause = faultCause;
    }

    public String getFaultNature() {
        return faultNature;
    }

    public void setFaultNature(String faultNature) {
        this.faultNature = faultNature;
    }

    public String getFaultResponsibility() {
        return faultResponsibility;
    }

    public void setFaultResponsibility(String faultResponsibility) {
        this.faultResponsibility = faultResponsibility;
    }

    public String getFaultConsequence() {
        return faultConsequence;
    }

    public void setFaultConsequence(String faultConsequence) {
        this.faultConsequence = faultConsequence;
    }

    public String getHandlingSuggestion() {
        return handlingSuggestion;
    }

    public void setHandlingSuggestion(String handlingSuggestion) {
        this.handlingSuggestion = handlingSuggestion;
    }

    public Long getImpactCount() {
        return impactCount;
    }

    public void setImpactCount(Long impactCount) {
        this.impactCount = impactCount;
    }

    public Long getMissedFlightCount() {
        return missedFlightCount;
    }

    public void setMissedFlightCount(Long missedFlightCount) {
        this.missedFlightCount = missedFlightCount;
    }

    public String getDetectionMethod() {
        return detectionMethod;
    }

    public void setDetectionMethod(String detectionMethod) {
        this.detectionMethod = detectionMethod;
    }

    public String getDiscoverer() {
        return discoverer;
    }

    public void setDiscoverer(String discoverer) {
        this.discoverer = discoverer;
    }

    public String getResolutionMethod() {
        return resolutionMethod;
    }

    public void setResolutionMethod(String resolutionMethod) {
        this.resolutionMethod = resolutionMethod;
    }

    public String getMaintainer() {
        return maintainer;
    }

    public void setMaintainer(String maintainer) {
        this.maintainer = maintainer;
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer;
    }

    public Date getReviewTime() {
        return reviewTime;
    }

    public void setReviewTime(Date reviewTime) {
        this.reviewTime = reviewTime;
    }

    public Date getResolutionDate() {
        return resolutionDate;
    }

    public void setResolutionDate(Date resolutionDate) {
        this.resolutionDate = resolutionDate;
    }

    public Time getMaintenanceHours() {
        return maintenanceHours;
    }

    public void setMaintenanceHours(Time maintenanceHours) {
        this.maintenanceHours = maintenanceHours;
    }

    public Long getMaintenanceStaffCount() {
        return maintenanceStaffCount;
    }

    public void setMaintenanceStaffCount(Long maintenanceStaffCount) {
        this.maintenanceStaffCount = maintenanceStaffCount;
    }

    public Time getMaintenanceTime() {
        return maintenanceTime;
    }

    public void setMaintenanceTime(Time maintenanceTime) {
        this.maintenanceTime = maintenanceTime;
    }

    public String getMeritAwarded() {
        return meritAwarded;
    }

    public void setMeritAwarded(String meritAwarded) {
        this.meritAwarded = meritAwarded;
    }

    public String getTestFlightRequired() {
        return testFlightRequired;
    }

    public void setTestFlightRequired(String testFlightRequired) {
        this.testFlightRequired = testFlightRequired;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }
}
